<?php require_once('Connections/cn.php'); ?>
<?php
session_start();
$cedula_usuario=$_SESSION['CEDULA_USUARIO'];
$username=$_SESSION['MM_Username'];
$tipo_usuario=$_SESSION['PRIVILEGIO'];

// Capturo los datos que vienen de inscripciones.php
$id_alumno=$_GET['id_alumno'];
$seccion_inscrita=$_GET['seccion'];
$id_carrera=$_GET['id_carrera'];
$pensum=$_GET['pensum'];
$id_periodo=$_GET['id_periodo'];
$id_sede=$_GET['id_sede'];
$mencion=$_GET['mencion'];
$nivel=$_GET['nivel'];
$turno=$_GET['turno'];
$nuevo_ingreso=$_GET['nuevo_ingreso'];

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
// Datos del usuario que realizó la inscripción.
$sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
$rs=mysql_query($sql,$cn);
$row=mysql_fetch_array($rs);
$inscrito_por=$row['apellidos'].', '.$row['nombres'];
// Datos del Estudiante.
$sql = "SELECT id_alumno,cedula,apellidos, nombres, tipo_doc FROM alumnos WHERE id_alumno='$id_alumno'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);

$cedula= $row['cedula'];
$participante= $row['apellidos'].', '.$row['nombres'];

$fecha1 = explode("-",date("Y-m-d")); 
$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
// $fecha_hoy = cambioFecha($fecha2);   
$fecha_inscripcion=join ("-",(array_reverse(explode("-",$fecha2))));
$annio=$fecha1[0];
// Verifica si la inscripción ya fue procesada.  Esto se hace para evitar que haya un doble registro de unidades
// curriculares inscritas, en caso de que el estudiante haga clic varias veces en el botón Inscribir.
$sql_inscripcion = "SELECT * FROM inscripciones WHERE id_alumno='$id_alumno' and id_periodo='$id_periodo'";
$rst_inscripcion = mysql_query($sql_inscripcion, $cn) or die(mysql_error());
$rows_inscripcion =  mysql_num_rows($rst_inscripcion);
if($rows_inscripcion>0){
?>
   <script type="text/javascript">
      if(confirm("Inscripción procesada con éxito.\n¿Desea imprimir el Comprobante de Inscripción?")){url="modulos/reportes/comprobante_inscripcion.php?id_alumno="+'<?php echo $id_alumno ?>'+"&id_periodo="+'<?php echo $id_periodo ?>'+"&codigo_sede="+'<?php echo $id_sede ?>'+"&id_carrera="+'<?php echo $id_carrera ?>'+"&mencion="+'<?php echo $mencion ?>';
	     window.open(url);	
      }
   </script>
 <?php
 return;
}

// Valido que el alumno haya inscrito al menos una materia con créditos.
$sql_inscrita = "SELECT sum(uc) as creditos FROM inscripciones_tmp WHERE id_alumno='$id_alumno' and inscrita='S'";
$rst_inscrita = mysql_query($sql_inscrita, $cn) or die(mysql_error());
$row_inscrita = mysql_fetch_assoc($rst_inscrita);
$uc_inscritas =$row_inscrita["creditos"];
if($uc_inscritas>0){
   // Registra las inscripciones.
   $sql = "insert into `inscripciones` (`id_alumno`, `id_periodo`, `id_carrera`, `id_materia`, `semestre`, `id_seccion`, `sede`, `id_docente`, `turno`, `mencion`, `nivel`, `pensum`, `annio`, `valoracion`, `aprobacion`) SELECT id_alumno, id_periodo, id_carrera, id_materia, semestre, id_seccion,sede, id_docente, turno, mencion, nivel, '$pensum' as pensum,'$annio' as annio, 'CUANTITATIVA' as valoracion, 'REGULAR' as aprobacion FROM inscripciones_tmp WHERE id_alumno='$id_alumno' and inscrita='S'";
   mysql_query($sql, $cn) or die(mysql_error());
   
   // Actualiza la fecha de inscripcion del alumno en la ENAHP
   $sql = "update inscripciones set fecha='$fecha_inscripcion' where id_alumno='$id_alumno' and   id_carrera='$id_carrera'";
   mysql_query($sql, $cn) or die(mysql_error());


   $sqlPeriodo = "SELECT codigo,annio FROM periodos WHERE id_periodo='$id_periodo'";
   $rstPeriodo = mysql_query($sqlPeriodo, $cn) or die(mysql_error());
   $rowPeriodo = mysql_fetch_assoc($rstPeriodo);
   $cod_periodo =$rowPeriodo["codigo"];
   $annio=$rowPeriodo['annio']; 

   // Datos de la Carrera
   $sql = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$id_carrera'";
   $rs = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($rs);
   $nom_carrera= $row['nombre_carrera'];

   $semestre=semestre($id_alumno);
   // Crea el registro historial de inscripciones del alumno para el lapso donde se inscribió.
   $sql = "insert into historial_alumnos (`id_alumno`, `cedula`,`participante`, `sede`, `id_periodo`, `id_carrera`, `nom_carrera`, `fecha`, `annio`,`semestre`,`mencion`, `nivel`, `pensum`,`turno`,`nuevo_ingreso`, `inscrito_por`) values ('$id_alumno','$cedula','$participante','$id_sede',  '$id_periodo', '$id_carrera', '$nom_carrera', '$fecha_inscripcion','$annio','$semestre','$mencion', '$nivel','$pensum','$turno', '$nuevo_ingreso', '$inscrito_por')";
   mysql_query($sql, $cn) or die(mysql_error());


  
   
   // Limpia el record tenporal del estudiante
   $sql = "delete from historico_notas_aux where id_alumno='$id_alumno'";
   mysql_query($sql, $cn) or die(mysql_error());


   // Actualiza la fecha de la última inscripcion del alumno en la ENAHP-IUT
   $sql = "update alumnos set status='A',ultima_inscripcion='$fecha_inscripcion' where id_alumno='$id_alumno'";
   mysql_query($sql, $cn) or die(mysql_error());

      // Actualiza los cupos de cada una de las materias inscritas por el estudiante.
    // Actualiza los cupos de cada una de las materias inscritas por el estudiante.
   $sql_inscrita = "SELECT id_materia, id_seccion, semestre, mencion, nivel FROM inscripciones_tmp WHERE id_alumno='$id_alumno' and inscrita='S'";
   $rst_inscrita = mysql_query($sql_inscrita, $cn) or die(mysql_error());
   $rows_inscrita =  mysql_num_rows($rst_inscrita);
   while($row_inscrita = mysql_fetch_assoc($rst_inscrita)){
        $materia=$row_inscrita["id_materia"];
		$seccion=$row_inscrita["id_seccion"];
		$semestre=$row_inscrita["semestre"];
		$mencion_materia=$row_inscrita["mencion"];
		$nivel_materia=$row_inscrita["nivel"];
        $sql = "update oferta_academica set inscritos=inscritos+1 WHERE sede='$id_sede' and semestre='$semestre' and id_seccion='$seccion' and id_carrera='$id_carrera' and pensum='$pensum' and id_periodo='$id_periodo' and  id_materia='$materia' and nivel='$nivel_materia' and mencion='$mencion_materia' ";
        mysql_query($sql, $cn) or die(mysql_error());
    }
 
 // Borra la tabla inscripciones_tmp para el alumno en la carrera donde se inscribió.
   $sql="delete from inscripciones_tmp where id_carrera='$id_carrera' and id_alumno='$id_alumno'";
   mysql_query($sql, $cn) or die(mysql_error());  

 ?>
   <body>
   <script type="text/javascript">
      if(confirm("Inscripción procesada con éxito.\n¿Desea imprimir el Comprobante de Inscripción?")){     	 url="modulos/reportes/comprobante_inscripcion.php?id_alumno="+'<?php echo $id_alumno ?>'+"&id_periodo="+'<?php echo $id_periodo ?>'+"&codigo_sede="+'<?php echo $id_sede ?>'+"&id_carrera="+'<?php echo $id_carrera ?>'+"&mencion="+'<?php echo $mencion ?>';
	     window.open(url);	
      }
   </script>
<?php
   
}
else{
?>
    <script type="text/javascript">
      alert("!Lo sentimos!.\nInscripción no procesada, se debe inscribir al menos\nuna unidad curricular con créditos.");
   </script>
 <?php
 return;
 }

  
if($tipo_usuario<>"2")
{ 
 ?>
<script type="text/javascript">
      	url="inscribir_regular.php";
		window.open(url,'contenido');
</script>
<?php
}
?>  
</body>

<?php
function semestre($id_alumno)
{
   global $cn;
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='1' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre1= current($row);
  
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='2' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre2= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='3' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre3= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='4' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre4= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='5' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre5= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='6' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre6= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='7' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre7= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='8' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre8= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='9' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre9= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='10' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre10= current($row);
  
   $matriz = array(0,$semestre1,$semestre2,$semestre3,$semestre4,$semestre5,$semestre6,$semestre7,$semestre8,$semestre9,$semestre10); 
   
   $max=0;
   
   for ($i=1; $i<count($matriz); $i++){
        if($matriz[$i]>$max){
		   $max=$matriz[$i];
		   $sem=$i;
		}
	}
	return $sem;   
}
?>